package com.cloud.hmg_patient_app.whatsapp
import android.app.PendingIntent
import android.content.Intent
import android.os.Bundle
import com.cloud.hmg_patient_app.whatsapp.WhatsApp
import com.cloud.hmg_patient_app.whatsapp.WhatsAppOtpPlatformBridge
import io.flutter.embedding.android.FlutterFragmentActivity

class WhatsAppCodeActivity : FlutterFragmentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        WhatsApp.handleOTP(intent){code ->
            WhatsAppOtpPlatformBridge.result?.success(code);
            finish()
        }
    }
}